let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const searchProjectApi = async (searchName: string) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/search/searchProjects?searchName=${searchName}`, {
            method: "GET",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
        });
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            console.error("Failed to Search project");
        }

        const result = await response.json();

        return result;
    } catch {
        console.log("Failed to Search project");
    }
};
